{% extends 'base_admin.html' %}

{% load i18n %}
{% load static %}

{% block content %}
<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800"><a href="https://datatables.net">{% trans "Hotel Photo" %}</a></h1>

  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{% trans "Photos" %}</h6>
    </div>
    <div class="card-body">
      <!-- The front "end" of the JavaScript which shows the uploaded photos to the  users-->
      <div class="panel-body">
        <input id="fileupload" type="file" name="path" multiple style="display:none;"
          data-url="{% url 'hotel_admin:photo_upload' hotelid  %}"
          data-form-data='{"csrfmiddlewaretoken": "{{ csrf_token }}"}'>

        <table id="gallery" class="table table-bordered">
          <thead>

            <tr>
              <th>
                {% trans "Uploaded Photos" %}:
              </th>
            </tr>
          </thead>
          <tbody>
            {% for photo in photos %}
            <tr>
              <td>
                <a href="{{ photo.path.url }}">{{ photo.path.name }}</a>
              </td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
        <button type="button" class="btn btn-primary js-upload-photos">
          <span class="glyphicon glyphicon-cloud-upload"></span> {% trans "Upload Photos" %}
        </button>
      </div>

      <!-- Shows a progress bar when uploading is taking place.-->
      <div class="modal fade" id="modal-progress" data-backdrop="static" datakeyboard="false">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title">{% trans "Uploading" %}...</h4>
            </div>
            <div class="modal-body">
              <div class="progress">
                <div class="progress-bar" role="progressbar" style="width: 0%;">
                  0%
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <a class="btn btn-secondary pull-right" href="{% url 'hotel_admin:hotel_view' %}">{% trans "Back" %}</a>
</div>
{% endblock %}

{% block custom_js %}
<!-- Dependencies -->
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"
  integrity="sha256-T0Vest3yCU7pafRw9r+settMBX6JkKN06dqBnpQ8d30=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.iframe-transport/1.0.1/jquery.iframe-transport.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/9.18.0/js/jquery.fileupload.js"></script>
<script src="{% static '/js/basic-upload.js' %}"></script>
{% endblock%}